# norootforbuild
%define pkg_name    pam
%define php_version %(php-config --version 2>/dev/null || echo PHPCONFIG_NOT_FOUND)
#
Name: php5-pam
Version: 1.0.3
Release: 4.7
#
License: PHP
Group: Productivity/Networking/Web/Servers
#
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires: php5-devel pam-devel
Requires: php5 = %{php_version}
#
URL: http://pecl.php.net/pam
Source: http://pecl.php.net/package/pam/%{pkg_name}-%{version}.tgz
Summary: PHP PAM integration
%description

This extension provides PAM (Pluggable Authentication Modules) integration. 
PAM is a system of libraries that handle the authentication tasks of applications and services. 
The library provides a stable API for applications to defer to for authentication tasks.

Authors:
---------
	Mikael Johansson 

%debug_package
%prep
%setup -q -n %{pkg_name}-%{version}

%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

../configure \
--with-pam=%{_usr} \
--with-libdir=%{_lib}

%{__make} %{?jobs:-j%jobs}
popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable pam extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/pam.ini
echo 'extension = pam.so' >> %{buildroot}%{_sysconfdir}/php5/conf.d/pam.ini
chmod -x CREDITS README

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/pam.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/pam.ini

%doc CREDITS README

%changelog -n php5-pam
* Sun Nov 29 2009 Carsten Schoene <cs@linux-administrator.com> - 1.0.3-1
- update to release 1.0.3

* Thu Nov 16 2006 - soporte@onfocus.cl
- very first build
